OpenGLRaw-2.6.0.0: A raw binding for the OpenGL graphics system

Copyright | (c) Sven Panne 2015
License | BSD3
Maintainer | Sven Panne <svenpanne@gmail.com>
Stability | stable
Portability | portable
Safe Haskell | None
Language | Haskell2010

Graphics.Rendering.OpenGL.Raw.ARB.FramebufferNoAttachments

Contents

- Extension Support
- Enums
- Functions

Description

Synopsis

- glGetARBFramebufferNoAttachments :: MonadIO m => m Bool
- gl_ARB_framebuffer_no_attachments :: Bool
- gl_FRAMEBUFFER_DEFAULT_FIXED_SAMPLE_LOCATIONS :: GLenum
- gl_FRAMEBUFFER_DEFAULT_HEIGHT :: GLenum
- gl_FRAMEBUFFER_DEFAULT_LAYERS :: GLenum
- gl_FRAMEBUFFER_DEFAULT_SAMPLES :: GLenum
- gl_FRAMEBUFFER_DEFAULT_WIDTH :: GLenum
- gl_MAX_FRAMEBUFFER_HEIGHT :: GLenum
- gl_MAX_FRAMEBUFFER_LAYERS :: GLenum
- gl_MAX_FRAMEBUFFER_SAMPLES :: GLenum
- gl_MAX_FRAMEBUFFER_WIDTH :: GLenum
- glFramebufferParameteri :: MonadIO m => GLenum -> GLenum -> GLint -> m ()
- glGetFramebufferParameteriv :: MonadIO m => GLenum -> GLenum -> Ptr GLint -> m ()

# Extension Support

glGetARBFramebufferNoAttachments :: MonadIO m => m Bool

Is the ARB_framebuffer_no_attachments extension supported?

gl_ARB_framebuffer_no_attachments :: Bool

Is the ARB_framebuffer_no_attachments extension supported? Note that in the presence of multiple contexts with different capabilities, this might be wrong. Use `glGetARBFramebufferNoAttachments` in those cases instead.

# Enums

gl_FRAMEBUFFER_DEFAULT_FIXED_SAMPLE_LOCATIONS :: GLenum

gl_FRAMEBUFFER_DEFAULT_HEIGHT :: GLenum

gl_FRAMEBUFFER_DEFAULT_LAYERS :: GLenum

gl_FRAMEBUFFER_DEFAULT_SAMPLES :: GLenum

gl_FRAMEBUFFER_DEFAULT_WIDTH :: GLenum

gl_MAX_FRAMEBUFFER_HEIGHT :: GLenum

gl_MAX_FRAMEBUFFER_LAYERS :: GLenum

gl_MAX_FRAMEBUFFER_SAMPLES :: GLenum

gl_MAX_FRAMEBUFFER_WIDTH :: GLenum

# Functions

glFramebufferParameteri

Arguments

:: MonadIO m |
=> GLenum | `target`.
-> GLenum | `pname`.
-> GLint | `param`.
-> m () |

Manual page for OpenGL 4.x.

glGetFramebufferParameteriv

Arguments

:: MonadIO m |
=> GLenum | `target`.
-> GLenum | `pname`.
-> Ptr GLint | `params` pointing to `COMPSIZE(pname)` elements of type `GLint`.
-> m () |

Manual page for OpenGL 4.x.